Summary:	Cisco 7200/3600/3725/3745/2600/1700 Router Emulator
Name:		dynamips
Version:	0.2.8
Release:	1.RC2%{?dist}
License:	GPLv2+
Group:		Applications/Emulators
Source0:	http://www.ipflow.utc.fr/dynamips/%{name}-%{version}-RC2.tar.gz
Source1:	dynamips.init
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-debian.patch
URL:		http://www.ipflow.utc.fr/index.php/Cisco_7200_Simulator
BuildRequires:	elfutils-devel
BuildRequires:	flex
BuildRequires:	libpcap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
Dynamips emulates Cisco 7200/3600/3725/3745/2600/1700 Routers
on a traditional PC. You can use dynamips to create labs.
It uses IOS Images (which are not part of this package).
Of course, this emulator cannot replace a real router.
It is simply a complementary tool to real labs for
administrators of Cisco networks or people wanting
to pass their CCNA/CCNP/CCIE exams. For a Command Line 
Interface for dynamips see dynagen or GNS3 package.

%prep
%setup -q -n %{name}-%{version}-RC2
%patch0 -p1
%patch1 -p1

%build
%ifarch %{x8664}
ARCH=amd64
%else
%ifarch %{ix86}
ARCH=x86
%else
ARCH=nojit
%endif
%endif

%{__make} \
	DYNAMIPS_ARCH=$ARCH \
	CC="%{__cc}" \
	RPM_CFLAGS="${CFLAGS:-%optflags}" \
	LD="%{__ld}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX="%{_prefix}"

chmod u+s $RPM_BUILD_ROOT%{_bindir}/dynamips

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
%{__install} -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/dynamips

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.hypervisor ChangeLog TODO COPYING
%{_bindir}/%{name}
%{_bindir}/nvram_export
%{_sysconfdir}/rc.d/init.d/dynamips
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/nvram_export.1*
%{_mandir}/man7/hypervisor_mode.7*

%changelog
* Sun May 17 2009 nucleo - 0.2.8-1.RC2
- Initial RPM release
